This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 122036 - Mozilla crashes when trying to store a password in encrypted form
Mozilla crashes when trying to store a password in encrypted form
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 16:52 EDT by H. Peter Anvin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:10:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2004-04-29 16:52:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040312

Description of problem:
Running Fedora Core 2 test 3 on x86-64, Mozilla crashes when trying to
store a password, if Edit > Preferences > Privacy & Security >
Passwords > Use encryption when storing sensitive data is enabled.

Storing password in unencrypted form works.


Version-Release number of selected component (if applicable):
mozilla-1.6-2-x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable Save Passwords and Use encryption (see Description)
2. Surf to a website or IMAP account which needs a password
3. When entering the password, check the box saying Use password
manager to remember this password
    

Actual Results:  Crash

Expected Results:  Password stored

Additional info:
Comment 1 John Thacker 2006-10-29 09:10:24 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.